Skip to main content
GET
List load balancers

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

Query Parameters

assigned_floating
boolean

With or without assigned floating IP

Examples:

true

false

limit
integer
default:1000

Limit of items on a single page

Required range: x <= 1000
Example:

1000

logging_enabled
boolean

With or without logging enabled

name
string

Filter by name

Example:

"lb_name"

offset
integer
default:0

Offset in results list

Required range: x >= 0
Example:

0

operating_status
enum<string>

Filter by operating status

Available options:
DEGRADED,
DRAINING,
ERROR,
NO_MONITOR,
OFFLINE,
ONLINE
Examples:

"ONLINE"

"DRAINING"

"OFFLINE"

"DEGRADED"

"ERROR"

"NO_MONITOR"

order_by
enum<string>
default:created_at.desc

Order by field and direction.

Available options:
created_at.asc,
created_at.desc,
flavor.asc,
flavor.desc,
name.asc,
name.desc,
operating_status.asc,
operating_status.desc,
provisioning_status.asc,
provisioning_status.desc,
updated_at.asc,
updated_at.desc,
vip_address.asc,
vip_address.desc,
vip_ip_family.asc,
vip_ip_family.desc
Example:

"name.asc"

provisioning_status
enum<string>

Filter by provisioning (lifecycle) status

Available options:
ACTIVE,
DELETED,
ERROR,
PENDING_CREATE,
PENDING_DELETE,
PENDING_UPDATE
Examples:

"ACTIVE"

"DELETED"

"ERROR"

"PENDING_CREATE"

"PENDING_UPDATE"

"PENDING_DELETE"

show_stats
boolean
default:false

Show statistics

Examples:

true

false

tag_key
string[]

Optional. Filter by tag keys. ?tag_key=key1&tag_key=key2

Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character. Trailing or leading whitespaces will be stripped.

Required string length: 1 - 255
Pattern: ^[^\s=]+$
Example:
tag_key_value
string

Optional. Filter by tag key-value pairs.

Example:
with_ddos
boolean
default:false

Show Advanced DDoS protection profile, if exists

Examples:

true

false

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
LoadbalancerSerializer · object[]
required

Objects